// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef DEVICE_GAMEPAD_GAMEPAD_ID_H_
#define DEVICE_GAMEPAD_GAMEPAD_ID_H_

namespace device {

// These values are logged to UMA. Entries should not be renumbered and
// numeric values should never be reused. Please keep in sync with "GamepadId"
// in src/tools/metrics/histograms/enums.xml.
enum class GamepadId {
  kUnknownGamepad = 0,
  kVendor0010Product0082,
  kDragonRiseProduct0006,
  kDragonRiseProduct0011,
  kDragonRiseProduct1800,
  kDragonRiseProduct181b,
  kDragonRiseProduct1843,
  kDragonRiseProduct1844,
  kSteelSeriesBtProduct1417,
  kSteelSeriesBtProduct1420,
  kVendor0113Productf900,
  kCreativeTechnologyProduct1003,
  kCreativeTechnologyProduct1050,
  kGravisProduct4001,
  kAlpsElectricProduct1101,
  kThrustMasterProduct0f00,
  kThrustMasterProduct0f03,
  kThrustMasterProduct0f07,
  kThrustMasterProduct0f10,
  kThrustMasterProducta0a3,
  kThrustMasterProductb300,
  kThrustMasterProductb304,
  kThrustMasterProductb312,
  kThrustMasterProductb315,
  kThrustMasterProductb320,
  kThrustMasterProductb323,
  kThrustMasterProductb326,
  kThrustMasterProductb653,
  kThrustMasterProductb677,
  kThrustMasterProductd003,
  kThrustMasterProductd008,
  kThrustMasterProductd009,
  kMicrosoftProduct0026,
  kMicrosoftProduct0027,
  kMicrosoftProduct0202,
  kMicrosoftProduct0285,
  kMicrosoftProduct0287,
  kMicrosoftProduct0288,
  kMicrosoftProduct0289,
  kMicrosoftProduct028e,
  kMicrosoftProduct028f,
  kMicrosoftProduct0291,
  kMicrosoftProduct02a0,
  kMicrosoftProduct02a1,
  kMicrosoftProduct02d1,
  kMicrosoftProduct02dd,
  kMicrosoftProduct02e0,
  kMicrosoftProduct02e3,
  kMicrosoftProduct02e6,
  kMicrosoftProduct02ea,
  kMicrosoftProduct02fd,
  kMicrosoftProduct02ff,
  kMicrosoftProduct0719,
  kMicrosoftProduct0b0a,
  kLogitechProductc208,
  kLogitechProductc209,
  kLogitechProductc211,
  kLogitechProductc215,
  kLogitechProductc216,
  kLogitechProductc218,
  kLogitechProductc219,
  kLogitechProductc21a,
  kLogitechProductc21d,
  kLogitechProductc21e,
  kLogitechProductc21f,
  kLogitechProductc242,
  kLogitechProductc24f,
  kLogitechProductc260,
  kLogitechProductc261,
  kLogitechProductc262,
  kLogitechProductc298,
  kLogitechProductc299,
  kLogitechProductc29a,
  kLogitechProductc29b,
  kLogitechProductca84,
  kLogitechProductca88,
  kLogitechProductca8a,
  kLogitechProductcaa3,
  kKensingtonProduct4003,
  kKensingtonProduct4005,
  kCypressSemiconductorProduct010a,
  kCypressSemiconductorProductd5d5,
  kHoltekSemiconductorProduct0002,
  kSamsungElectronicsProducta000,
  kSiamUnitedProduct9b28,
  kBelkinProduct0802,
  kBelkinProduct0803,
  kBelkinProduct0805,
  kSonyProduct0268,
  kSonyProduct0306,
  kSonyProduct042f,
  kSonyProduct05c4,
  kSonyProduct05c5,
  kSonyProduct09cc,
  kSonyProduct0ba0,
  kElecomProduct2003,
  kElecomProduct2004,
  kNintendoProduct0306,
  kNintendoProduct0330,
  kNintendoProduct0337,
  kNintendoProduct2006,
  kNintendoProduct2007,
  kNintendoProduct2009,
  kNintendoProduct200e,
  kPadixProduct2060,
  kPadixProduct206f,
  kPadixProduct3050,
  kPadixProducta000,
  kPadixProducta024,
  kPadixProducta025,
  kPadixProducta130,
  kPadixProducta133,
  kPadixProductb031,
  kVetronixProduct3232,
  kAppleProduct3232,
  kGenesysLogicProduct0596,
  kInterActProduct1007,
  kInterActProduct107a,
  kInterActProduct3000,
  kChicTechnologyProduct0014,
  kChicTechnologyProduct3030,
  kChicTechnologyProduct3031,
  kMosArtSemiconductorProduct0020,
  kMosArtSemiconductorProduct0033,
  kMosArtSemiconductorProduct2410,
  kSaitekProduct0109,
  kSaitekProduct0200,
  kSaitekProduct0201,
  kSaitekProduct0241,
  kSaitekProduct040b,
  kSaitekProduct040c,
  kSaitekProduct052d,
  kSaitekProduct3509,
  kSaitekProductf518,
  kSaitekProductf51a,
  kSaitekProductf622,
  kSaitekProductf623,
  kSaitekProductff0c,
  kTrustProduct0025,
  kTrustProduct0026,
  kGuillemotProducta300,
  kMadCatzProduct3250,
  kMadCatzProduct3285,
  kMadCatzProduct3384,
  kMadCatzProduct3480,
  kMadCatzProduct3481,
  kMadCatzProduct4506,
  kMadCatzProduct4516,
  kMadCatzProduct4520,
  kMadCatzProduct4522,
  kMadCatzProduct4526,
  kMadCatzProduct4530,
  kMadCatzProduct4536,
  kMadCatzProduct4540,
  kMadCatzProduct4556,
  kMadCatzProduct4586,
  kMadCatzProduct4588,
  kMadCatzProduct45ff,
  kMadCatzProduct4716,
  kMadCatzProduct4718,
  kMadCatzProduct4726,
  kMadCatzProduct4728,
  kMadCatzProduct4736,
  kMadCatzProduct4738,
  kMadCatzProduct4740,
  kMadCatzProduct4743,
  kMadCatzProduct4758,
  kMadCatzProduct4a01,
  kMadCatzProduct5266,
  kMadCatzProduct6040,
  kMadCatzProduct8180,
  kMadCatzProduct8250,
  kMadCatzProduct8384,
  kMadCatzProduct8480,
  kMadCatzProduct8481,
  kMadCatzProduct8818,
  kMadCatzProduct8838,
  kMadCatzProduct9871,
  kMadCatzProductb726,
  kMadCatzProductb738,
  kMadCatzProductbeef,
  kMadCatzProductcb02,
  kMadCatzProductcb03,
  kMadCatzProductcb29,
  kMadCatzProductf401,
  kMadCatzProductf738,
  kMegaWorldProduct0213,
  kMegaWorldProduct0312,
  kMegaWorldProduct0314,
  kMegaWorldProduct0315,
  kMegaWorldProduct9902,
  kVendor07ffProductffff,
  kPersonalCommunicationSystemsProduct0001,
  kPersonalCommunicationSystemsProduct0003,
  kPersonalCommunicationSystemsProduct1e01,
  kPersonalCommunicationSystemsProducte501,
  kLakeviewResearchProduct0005,
  kLakeviewResearchProduct03e8,
  kLakeviewResearchProduct1700,
  kLakeviewResearchProduct2801,
  kLakeviewResearchProduct8866,
  kVendor0926Product2526,
  kVendor0926Product8888,
  kNvidiaProduct7210,
  kNvidiaProduct7214,
  kAsusTekProduct4500,
  kPlayComProduct0005,
  kZeroplusProduct0005,
  kZeroplusProduct0e10,
  kZeroplusProduct0ef6,
  kZeroplusProduct1cf6,
  kZeroplusProduct8801,
  kZeroplusProduct8802,
  kZeroplusProduct8809,
  kZeroplusProduct880a,
  kZeroplusProduct8810,
  kZeroplusProduct9902,
  kMicrodiaProduct4320,
  kVendor0d2fProduct0002,
  kRadicaGamesProduct1097,
  kRadicaGamesProduct1103,
  kRadicaGamesProduct2390,
  kRadicaGamesProduct3510,
  kPdpProduct0003,
  kPdpProduct0005,
  kPdpProduct0006,
  kPdpProduct0008,
  kPdpProduct0105,
  kPdpProduct0113,
  kPdpProduct011e,
  kPdpProduct011f,
  kPdpProduct0124,
  kPdpProduct0130,
  kPdpProduct0131,
  kPdpProduct0133,
  kPdpProduct0139,
  kPdpProduct013a,
  kPdpProduct0146,
  kPdpProduct0147,
  kPdpProduct0158,
  kPdpProduct015c,
  kPdpProduct0161,
  kPdpProduct0162,
  kPdpProduct0163,
  kPdpProduct0164,
  kPdpProduct0165,
  kPdpProduct0201,
  kPdpProduct0213,
  kPdpProduct021f,
  kPdpProduct0246,
  kPdpProduct02a0,
  kPdpProduct02ab,
  kPdpProduct0301,
  kPdpProduct0346,
  kPdpProduct0401,
  kPdpProduct0413,
  kPdpProduct0501,
  kPdpProductf501,
  kPdpProductf701,
  kPdpProductf900,
  kGreenAsiaProduct0003,
  kGreenAsiaProduct0008,
  kGreenAsiaProduct0012,
  kGreenAsiaProduct0201,
  kGreenAsiaProduct1006,
  kGreenAsiaProduct3008,
  kGreenAsiaProduct3010,
  kGreenAsiaProduct3013,
  kGreenAsiaProduct3075,
  kGreenAsiaProduct310d,
  kHoriProduct000a,
  kHoriProduct000c,
  kHoriProduct000d,
  kHoriProduct0010,
  kHoriProduct0011,
  kHoriProduct0016,
  kHoriProduct001b,
  kHoriProduct0022,
  kHoriProduct0027,
  kHoriProduct003d,
  kHoriProduct0040,
  kHoriProduct0049,
  kHoriProduct004d,
  kHoriProduct0055,
  kHoriProduct005b,
  kHoriProduct005c,
  kHoriProduct005e,
  kHoriProduct005f,
  kHoriProduct0063,
  kHoriProduct0066,
  kHoriProduct0067,
  kHoriProduct006a,
  kHoriProduct006b,
  kHoriProduct006e,
  kHoriProduct0070,
  kHoriProduct0078,
  kHoriProduct0084,
  kHoriProduct0085,
  kHoriProduct0087,
  kHoriProduct0088,
  kHoriProduct008a,
  kHoriProduct008b,
  kHoriProduct0090,
  kHoriProduct00ee,
  kJessTechnologyProduct010b,
  kJessTechnologyProduct0110,
  kJessTechnologyProduct0111,
  kJessTechnologyProduct0112,
  kJessTechnologyProduct0202,
  kJessTechnologyProduct0208,
  kJessTechnologyProduct1012,
  kJessTechnologyProduct1100,
  kJessTechnologyProduct1112,
  kJessTechnologyProduct1116,
  kJessTechnologyProduct8888,
  kEtomsElectronicsProductff0c,
  kSteelSeriesProduct1412,
  kSteelSeriesProduct1418,
  kSteelSeriesProduct1420,
  kVendor1080Product0009,
  kBetopProduct5213,
  kBetopProduct5506,
  kVendor11c9Product55f0,
  kVendor11ffProduct3331,
  kVendor11ffProduct3341,
  kFocusriteNovationProductab21,
  kNykoProduct4d01,
  kHoneyBeeProduct0004,
  kHoneyBeeProduct0006,
  kHoneyBeeProduct0301,
  kHoneyBeeProduct0302,
  kHoneyBeeProduct0303,
  kHoneyBeeProduct0e6f,
  kHoneyBeeProduct8809,
  kGembirdProductd012,
  kGembirdProductd015,
  kSinoLiteProduct1000,
  kSinoLiteProduct3008,
  kRedOctaneProduct02a0,
  kRedOctaneProduct4734,
  kRedOctaneProduct4748,
  kRedOctaneProduct474c,
  kRedOctaneProduct8888,
  kRedOctaneProductf801,
  kVendor146bProduct0601,
  kVendor146bProduct0d01,
  kVendor146bProduct5500,
  kJamerIndustriesProduct6208,
  kJamerIndustriesProductcd07,
  kJamerIndustriesProductcfce,
  kRazer1532Product0037,
  kRazer1532Product0300,
  kRazer1532Product0401,
  kRazer1532Product0900,
  kRazer1532Product0a00,
  kRazer1532Product0a03,
  kRazer1532Product1000,
  kNumarkProduct3f00,
  kNumarkProduct3f0a,
  kNumarkProduct3f10,
  kVendor162eProductbeef,
  kRazer1689Product0001,
  kRazer1689Productfd00,
  kRazer1689Productfd01,
  kRazer1689Productfe00,
  kAskeyComputerProduct0001,
  kVanOoijenProduct0487,
  kVanOoijenProduct05e1,
  kVendor1781Product057e,
  kGoogleProduct2c40,
  kLab126Product0402,
  kGampaqProduct0607,
  kAcruxProduct0203,
  kAcruxProduct0401,
  kAcruxProduct0801,
  kAcruxProduct0802,
  kAcruxProduct0836,
  kAcruxProductf705,
  kHarmonixMusicProduct0002,
  kHarmonixMusicProduct0003,
  kHarmonixMusicProduct0130,
  kHarmonixMusicProduct028e,
  kHarmonixMusicProduct0301,
  kHarmonixMusicProduct5500,
  kHarmonixMusicProductf016,
  kHarmonixMusicProductf018,
  kHarmonixMusicProductf019,
  kHarmonixMusicProductf021,
  kHarmonixMusicProductf023,
  kHarmonixMusicProductf025,
  kHarmonixMusicProductf027,
  kHarmonixMusicProductf028,
  kHarmonixMusicProductf02d,
  kHarmonixMusicProductf02e,
  kHarmonixMusicProductf030,
  kHarmonixMusicProductf036,
  kHarmonixMusicProductf038,
  kHarmonixMusicProductf039,
  kHarmonixMusicProductf03a,
  kHarmonixMusicProductf03d,
  kHarmonixMusicProductf03e,
  kHarmonixMusicProductf03f,
  kHarmonixMusicProductf042,
  kHarmonixMusicProductf080,
  kHarmonixMusicProductf0ca,
  kHarmonixMusicProductf501,
  kHarmonixMusicProductf502,
  kHarmonixMusicProductf503,
  kHarmonixMusicProductf504,
  kHarmonixMusicProductf505,
  kHarmonixMusicProductf506,
  kHarmonixMusicProductf900,
  kHarmonixMusicProductf901,
  kHarmonixMusicProductf902,
  kHarmonixMusicProductf903,
  kHarmonixMusicProductf904,
  kHarmonixMusicProductf906,
  kHarmonixMusicProductf907,
  kHarmonixMusicProductfa01,
  kHarmonixMusicProductfd00,
  kHarmonixMusicProductfd01,
  kOpenMokoProduct6053,
  kVendor1d79Product0301,
  kVendor1dd8Product000b,
  kVendor1dd8Product000f,
  kVendor1dd8Product0010,
  kDapTechnologiesProduct9000,
  kVendor20d6Product0dad,
  kVendor20d6Product6271,
  kVendor20d6Product89e5,
  kVendor20d6Productca6d,
  kVendor20e8Product5860,
  kMacAllyProduct0060,
  kMacAllyProduct4010,
  kVendor22baProduct1020,
  kVendor2378Product1008,
  kVendor2378Product100a,
  kVendor24c6Product5000,
  kVendor24c6Product5300,
  kVendor24c6Product5303,
  kVendor24c6Product530a,
  kVendor24c6Product531a,
  kVendor24c6Product5397,
  kVendor24c6Product541a,
  kVendor24c6Product542a,
  kVendor24c6Product543a,
  kVendor24c6Product5500,
  kVendor24c6Product5501,
  kVendor24c6Product5502,
  kVendor24c6Product5503,
  kVendor24c6Product5506,
  kVendor24c6Product550d,
  kVendor24c6Product550e,
  kVendor24c6Product551a,
  kVendor24c6Product561a,
  kVendor24c6Product5b00,
  kVendor24c6Product5b02,
  kVendor24c6Product5b03,
  kVendor24c6Product5d04,
  kVendor24c6Productfafb,
  kVendor24c6Productfafc,
  kVendor24c6Productfafd,
  kVendor24c6Productfafe,
  kVendor2563Product0523,
  kVendor25f0Product83c1,
  kVendor25f0Productc121,
  kVendor2717Product3144,
  kVendor2810Product0009,
  kVendor2836Product0001,
  kDracalRaphnetProduct0003,
  kDracalRaphnetProduct0005,
  kValveProduct1002,
  kValveProduct1042,
  kValveProduct1052,
  kValveProduct1071,
  kValveProduct1101,
  kValveProduct1102,
  kValveProduct1105,
  kValveProduct1106,
  kValveProduct1142,
  kValveProduct11fc,
  kValveProduct11ff,
  kValveProduct1201,
  kValveProduct1202,
  kVendor2c22Product2000,
  kVendor2c22Product2300,
  kVendor2c22Product2302,
  kEightBitdoProduct1003,
  kEightBitdoProduct1080,
  kEightBitdoProduct2830,
  kEightBitdoProduct3000,
  kEightBitdoProduct3001,
  kEightBitdoProduct3820,
  kEightBitdoProduct9001,
  kVendor2dfaProduct0001,
  kVendor3767Product0101,
  kVendor3820Product0009,
  kVendor4c50Product5453,
  kVendor5347Product6d61,
  kVendor6469Product6469,
  kPrototypeVendorProduct0667,
  kPrototypeVendorProduct8804,
  kPrototypeVendorProduct9401,
  kVendor6957Product746f,
  kVendor6978Product706e,
  kVendor8000Product1002,
  kVendor8888Product0308,
  kVendorf000Product0003,
  kVendorf000Product00f1,
  kHamaProduct0001,
  kHamaProduct0005,
  kSteelSeriesBtProduct1419,
  // Add new items here. kMaxValue must be updated to the last item in the
  // enumeration.

  kMaxValue = kSteelSeriesBtProduct1419,
};

}  // namespace device

#endif  // DEVICE_GAMEPAD_GAMEPAD_ID_H_
